Bug 198217 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 10:34 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 03:36:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Possible fix (316 bytes, patch)
2006-08-22 09:55 EDT, Alexander Larsson
no flags Details | Diff

  None (edit)
Description Karsten Hopp 2006-07-10 10:34:52 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r

mono-core-1.1.16-1
undefined symbol: g_module_close        (/usr/lib/libikvm-native.so)
undefined symbol: g_module_symbol       (/usr/lib/libikvm-native.so)
undefined symbol: g_module_open (/usr/lib/libikvm-native.so)
Comment 1 Alexander Larsson 2006-07-24 19:01:59 EDT
Those symbols are in libgmodule, so it should probably link to it.
libikvm is only used by ikvm (java implemented in .net) though, so maybe that
links to libgmodule?
Comment 2 Alexander Larsson 2006-08-22 09:55:45 EDT
Created attachment 134634 [details]
Possible fix
Comment 3 Matthias Clasen 2007-03-29 21:53:35 EDT
Alex, should this be applied or sent upstream ?
Comment 4 Alexander Larsson 2007-04-02 07:28:51 EDT
It should probably be sent upstream. I don't know much about ikvm, it might have
some special requirements.
Comment 5 Alexander Larsson 2007-04-03 03:36:56 EDT
Its been applied upstream.

Note You need to log in before you can comment on or make changes to this bug.